# class List<T>

#### no package

Available on all platforms

A linked-list of elements. The list is composed of element container objects that are chained together. It is optimized so that adding or removing an element does not imply copying the whole list content every time.

See:

https://haxe.org/manual/std-List.html

### Constructor

###

`new ()`

Creates a new empty list.

### Variables

###

`read onlylength:Int`

The length of `this` List.

### Methods

###

`add (item:T):Void`

Adds element `item` at the end of `this` List.

`this.length` increases by 1.

###

`inline iterator ():ListIterator<T>`

Available on Neko

Returns an iterator on the elements of the list.

###

`pop ():Null<T>`

Returns the first element of `this` List, or null if no elements exist.

The element is removed from `this` List.

###

`push (item:T):Void`

Available on Neko

Adds element `item` at the beginning of `this` List.

`this.length` increases by 1.